# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global upversion 2.0.0-beta11

Name:           mcedit2
Version:        %(v=%{upversion}; echo ${v//-/+})
Release:        0.11.1%{?dist}
Summary:        World Editor for Minecraft

License:        BSD
URL:            http://www.mcedit.net/
Source0:        https://github.com/mcedit/%{name}/archive/%{upversion}.tar.gz

# BuildArch:
BuildRequires:  python2-devel, python-ipython, python2-pip
BuildRequires:  Cython >= 0.27
BuildRequires:  numpy, python-arrow
BuildRequires:  python-pyside >= 1.2.0
%if 0%{?rhel} && 0%{?rhel} < 8
BuildRequires:  python-opengl
# https://github.com/pyinstaller/pyinstaller/issues/2147
BuildRequires:  python-zmq < 15.4.0
%else
BuildRequires:  python2-pyopengl
BuildRequires:  python-zmq
%endif
BuildRequires:  python-pygments,
# BuildRequires:  python-qtconsole  FIXME Is this really required?
# https://pypi.python.org/pypi/Pastebin/1.1.2
BuildRequires:  python-pastebin
BuildRequires:  python-raven

%description
MCEdit is the World Editor for Minecraft. MCEdit allows you to edit
every aspect of a Minecraft world, and to import and export .schematic
files created by many programs including WorldEdit and the original
MCEdit 1.x.

%prep
%autosetup -p 1 -n %{name}-%{upversion}
pip install --upgrade --user setuptools

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc doc/ README.md CHANGES.rst
%license LICENSE.md
%{_bindir}/%{name}
# For noarch packages: sitelib
# %{python_sitelib}/*
# For arch-specific packages: sitearch
%{python_sitearch}/*


%changelog
* Fri Oct 20 2017 Matěj Cepl <mcepl@redhat.com> - 2.0.0+beta11-0.11.1
- Initial packaging effort.
